# namespace_dir.hpp File Reference

`#include <string>`
`#include <saga/saga/call.hpp>`
`#include <saga/saga/base.hpp>`
`#include <saga/saga/session.hpp>`
`#include <saga/saga/task.hpp>`
`#include <saga/saga/permissions.hpp>`
`#include <saga/saga/url.hpp>`
`#include <saga/saga/packages/namespace/config.hpp>`
`#include <saga/saga/packages/namespace/namespace_entry.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
namespace | saga::name_space
## Classes
class | saga::name_space::directory
| A "Virtual Directory", an RNS entry that is represented as a non-leaf node in the hierarchical name space tree. More...